summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/lookup_env/runme.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 16:04:21 +0000
commit8a754e0858d922e955e71b253c139e071ecec432 (patch)
tree527d16e74bfd1840c85efd675fdecad056c54107 /test/integration/targets/lookup_env/runme.sh
parentInitial commit. (diff)
downloadansible-core-8a754e0858d922e955e71b253c139e071ecec432.tar.xz
ansible-core-8a754e0858d922e955e71b253c139e071ecec432.zip
Adding upstream version 2.14.3.upstream/2.14.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/integration/targets/lookup_env/runme.sh')
-rwxr-xr-xtest/integration/targets/lookup_env/runme.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/integration/targets/lookup_env/runme.sh b/test/integration/targets/lookup_env/runme.sh
new file mode 100755
index 0000000..698d6bf
--- /dev/null
+++ b/test/integration/targets/lookup_env/runme.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -ex
+
+unset USR
+# this should succeed and return 'nobody' as var is undefined
+ansible -m debug -a msg="{{ lookup('env', 'USR', default='nobody')}}" localhost |grep nobody
+# var is defined but empty, so should return empty
+USR='' ansible -m debug -a msg="{{ lookup('env', 'USR', default='nobody')}}" localhost |grep -v nobody
+
+# this should fail with undefined
+ansible -m debug -a msg="{{ lookup('env', 'USR', default=Undefined)}}" localhost && exit 1 || exit 0